Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.grogra.pf.ui.util
Class WidgetBase

    java.lang.Object
      de.grogra.pf.ui.util.WidgetSupport
          de.grogra.pf.ui.util.WidgetBase

All Implemented Interfaces:
  ComponentWrapper, Widget, Disposable

Direct Known Subclasses:
  ButtonWidget

    public abstract class WidgetBase

extends WidgetSupport

Field Summary
`protected WidgetConversion` | `conversion`
`protected java.lang.Object` | `lastValue`

Fields inherited from interface de.grogra.pf.ui.Widget
`WIDGET_VALUE_PROPERTY`

Constructor Summary
`WidgetBase()`

Method Summary
`protected void` | `checkForChange(java.lang.Object widgetValue)`
`protected abstract void` | `setComponentValue(java.lang.Object value)`
`void` | `setConversion(WidgetConversion conversion)`

Methods inherited from class de.grogra.pf.ui.util.WidgetSupport
`addPropertyChangeListener, addVetoableChangeListener, convert, dispose, disposeImpl, firePropertyChange, firePropertyChange, fireVetoableChange, fireVetoableChange, installListener, removePropertyChangeListener, removeVetoableChangeListener`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface de.grogra.pf.ui.Widget
`setEnabled, updateValue`

Methods inherited from interface de.grogra.pf.ui.ComponentWrapper
`getComponent`

Field Detail

### conversion

    protected WidgetConversion conversion

### lastValue

    protected volatile java.lang.Object lastValue

Constructor Detail

### WidgetBase

    public WidgetBase()

Method Detail

### checkForChange

    protected void checkForChange(java.lang.Object widgetValue)

### setComponentValue

    protected abstract void setComponentValue(java.lang.Object value)

### setConversion

    public void setConversion(WidgetConversion conversion)

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD